<div class="container-fluid">
  <div class="row clearfix">
    <app-event-sidepanel></app-event-sidepanel>
    <div class="content-wrapper">
      <div class="col-md-12 icon_bg" style="text-align: right;">
        <div class="container-fluid">
          <div class="col-md-4">
            <div class="desc-div row desc-non">
              <div class="noteditable-desc ">
                <div class="col-lg-12 text-left">
                  <h3 class="event-name">{{ eventDetailsResponseData.event.name }}
                    <span *ngIf="slideShowImagesOnly"> - Slideshow</span>
                    <small *ngIf="!slideShowImagesOnly">({{ eventDetailsResponseData.imageCount }} Images)</small>
                    <small *ngIf="slideShowImagesOnly">({{ eventDetailsResponseData.slideshowImageCount }} Images)</small>
                  </h3>
                  <p class="e-date" style="color:#fff;">
                    Date: {{ eventDetailsResponseData.event.startsAt | date:'d MMM, yyyy'}}
                  </p>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-8 mb-fix-text">
            <a (click)="addWatermarkMultipleImages()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Add Watermark">
              <img src="assets/images/add-watermark.png" class="icon_style">
            </a>
            <a (click)="removeWatermarkMultipleImages()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Remove Watermark">
              <img src="assets/images/remove-watermark.png" class="icon_style">
            </a>
            <a (click)="enableEditPhotos()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Edit Photos" id="editEvent">
              <img src="assets/images/edit.png" class="icon_style">
            </a>
            <a (click)="deletePhotos()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Delete Photos" id="doneEdit">
              <img src="assets/images/garbage.png" class="icon_style">
            </a>
            <a (click)="sendViaEmailMultipleImages()" target="_blank"class="action-icon" data-toggle="tooltip"
               data-placement="bottom"
               title="Send Via Email / SMS"><img src="assets/images/send.png" class="icon_style">
            </a>
            <a (click)="uploadModal()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Upload"><img src="assets/images/33.png" class="icon_style">
            </a>
            <a (click)="print()" target="_blank" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Send To Printer"><img src="assets/images/44.png" class="icon_style">
            </a>
            <a *ngIf="!slideShowImagesOnly" (click)="sendToSlideShowMultipleImages()" class="action-icon"
               data-toggle="tooltip"
               data-placement="bottom" title="Send To Slideshow"><img src="assets/images/55.png" class="icon_style">
            </a>
            <a *ngIf="slideShowImagesOnly" (click)="removeFromSlideshow()" class="action-icon" data-toggle="tooltip"
               data-placement="bottom" title="Remove fom slideshow">
              <img src="assets/images/slideshow_remove.png" class="icon_style">
            </a>
            <a routerLink="/user-panel/slideshow" [queryParams]="{eventId: eventId}"
               class="action-icon-preview" style="color:#fff;text-transform:uppercase"
               data-toggle="tooltip" data-placement="bottom" title="SlideShow Preview" target="_blank">Preview
            </a>
            <a [ngClass]="[ eventDetailsResponseData.reportedImageCount > 0 ? 'btn-red': 'btn-not-red' ]"
              routerLink="/photographer-panel/locations/{{locationId}}/events/{{eventId}}/reported-images"
               class="action-icon" style="color:#fff; text-transform:uppercase" data-toggle="tooltip" data-placement="bottom"
               title="Show Reported Images">Reported Images<label> ({{ eventDetailsResponseData.reportedImageCount }})</label>
            </a>
          </div>
        </div>
      </div>
      <div class="form-group panel-right-block content" id="content-2">
        <div class="desc-div row">
          <div class="container-fluid">
            <ol class="breadcrumb breadcrumb-arrow">
              <li><a routerLink="/photographer-panel/locations">Locations</a></li>
              <li><a routerLink="/photographer-panel/locations/{{eventDetailsResponseData.event.location.id}}/events">
                  {{eventDetailsResponseData.event.location.name}}
                </a>
              </li>
              <li><a>{{eventDetailsResponseData.event.name}}</a></li>
            </ol>
          </div>
        </div>
        <div class="row clearfix">
          <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
            <div class="switcher_wrap">
              <div class="box_switch">
                <!-- Rounded switch -->
                <label class="switch">
                  <input type="checkbox" [(ngModel)]="slideShowImagesOnly" [checked]="slideShowImagesOnly"
                         (change)="slideShowToggle()">
                  <span class="slider round"></span>
                </label>
              </div>
              <div class="text_switch text-right">
                <label style="color: #cdcdcd;">Slideshow images only</label>
              </div>
            </div>
          </div>
        </div>
        <div class="event-gallery thumb-container">
          <div class="col-lg-2 col-md-2 col-sm-4 col-xs-12 thumb" *ngFor="let eventImage of eventImages"
               [ngStyle]="{'background-image': 'url(' + imgPath + eventImage.image + ')', 'background-repeat': 'no-repeat'}">
            <div class="chk-div toggler" *ngIf="enableEdit">
              <div class="checkboxFive">
                <input type="checkbox" (change)="checkBoxUpdate(eventImage,$event)" value="1" id="checkboxFiveInput{{eventImage.id}}"/>
                <label for="checkboxFiveInput{{eventImage.id}}">
                </label>
              </div>
            </div>
            <a class="thumbnail" (click)="openImageModal(eventImage)" style="cursor: pointer;"
               [attr.data-image]="imgPath + eventImage.image">
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="uploadModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <h4 class="modal-title" id="myModalLabel">Upload Images</h4>
      </div>
      <div class="modal-body">
        <dropzone #dz [config]="config" (complete)="onUploadComplete($event,dz)"
                  [message]="'Click or drag images here to upload'" (error)="onUploadError($event)"
                  (success)="onUploadSuccess($event)">
        </dropzone>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade modal-gallery" id="image-gallery" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-faltoo">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" id="image-gallery-title"></h4>
      </div>
      <div class="modal-body clearfix">
        <div class="social-foot ornobio">
          <share-button button="facebook" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
            <img src="assets/images/social/facebook.png" width="30">
          </share-button>
          <share-button button="twitter" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
            <img src="assets/images/social/twitter.png" width="30">
          </share-button>
          <share-button button="google" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
            <img src="assets/images/social/gplus.png" width="30">
          </share-button>
        </div>
        <div class="col-md-12" style="padding:0px;position: relative">
          <div class="ar_btn_hold action-buttons-container"  style="position: absolute;right: 10px;top: 10px;z-index: 99;">
            <a (click)="sendSingleImage(currentImage.id)"  class="action-icon pull-right" data-toggle="tooltip"
               data-placement="bottom" title="Send Via Email / SMS">
              <img src="assets/images/send.png" class="icon_style">
            </a>
            <a *ngIf="!currentImage.inSlideshow" (click)="sendToSlideshowSingleImage(currentImage.id)"
               class="action-icon pull-right" data-toggle="tooltip" data-placement="bottom" title="Send to Slideshow">
              <img src="assets/images/55.png" class="icon_style">
            </a>
            <a *ngIf="currentImage.inSlideshow" (click)="removeFromSlideshowSingleImage(currentImage.id)"
               class="action-icon pull-right" data-toggle="tooltip" data-placement="bottom" title="Send to Slideshow">
              <img src="assets/images/slideshow_remove.png" class="icon_style">
            </a>
            <!--<a *ngIf="!currentImage.watermark" (click)="addWatermarkSingleImage(currentImage.id)"-->
               <!--class="action-icon pull-right" data-toggle="tooltip"-->
               <!--data-placement="bottom" title="Add Watermark">-->
              <!--<img src="assets/images/add-watermark.png" class="icon_style">-->
            <!--</a>-->
            <!--<a *ngIf="currentImage.watermark" (click)="removeWatermarkSingleImage(currentImage.id)"-->
               <!--class="action-icon pull-right" data-toggle="tooltip"-->
               <!--data-placement="bottom" title="Remove Watermark">-->
              <!--<img src="assets/images/remove-watermark.png" class="icon_style">-->
            <!--</a>-->
            <a  (click)="printSingleImage(currentImage.id)" class="action-icon pull-right" data-toggle="tooltip"
               data-placement="bottom" title="Send to printer">
              <img src="assets/images/44.png" class="icon_style">
            </a>
          </div>
          <img id="image-gallery-image" class="img-responsive" src="{{imgPath}}{{currentImage.image}}">
        </div>
      </div>
      <div class="modal-footer">
        <div class="col-md-2 col-xs-2 text-left" >
          <button type="button" *ngIf="prevBtn" class="btn btn-primary btn-action" (click)="showPreviousImage()"
                  id="show-previous-image"><i class="fa fa-chevron-left"></i></button>
        </div>
        <div class="col-md-8 col-xs-8 text-center">
        </div>
        <div class="col-md-2 col-xs-2" >
          <button type="button" *ngIf="nextBtn" (click)="showNextImage()" id="show-next-image"
                  class="btn btn-default btn-action">
            <i class="fa fa-chevron-right"></i>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade modal-send-email" id="sendPhotoViaEmail" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true" style="color: #fff;">x</span>
        </button>
        <h4 class="modal-title" id="myModalLabel1">Send Photos Via Email or SMS</h4>
      </div>
      <div class="modal-body clearfix">
        <form role="form" class="col-md-12 clearfix" [formGroup]="emailForm" (submit)="send(emailForm.value)">
          <h4 class="text-capitalize text-center">Please fill up these information</h4>
          <div class="form-group">
            <input type="text" formControlName="username" name="username" id="username" tabindex="1" class="form-control"
                   placeholder="Customer Name" value="">
          </div>
          <div class="form-group">
            <input type="text" formControlName="email" tabindex="2" class="form-control" placeholder="Email">
          </div>
          <div class="form-group">
            <input type="text" formControlName="phoneNumber" tabindex="2" class="form-control" placeholder="Phone Number">
          </div>
          <div class="form-group">
            <textarea type="text" formControlName="message" tabindex="2" class="form-control" placeholder="Message"></textarea>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-sm-12">
                <input type="submit" name="register-submit"
                       id="register-submit" tabindex="4" class="form-control btn  btn-success"
                       style="width: 130px;float: right;" value="SEND">
              </div>
            </div>
          </div>
        </form>
        <div class="row clearfix" style="float: left;width: 100%;margin-left: 0px; text-align: right;">
          <hr>
          <div class="col-md-12 col-xs-12">
            <label class="pull-left" style="margin-top: 5px;margin-right: 13px;">Add watermark</label>
            <div class="box_switch">
              <label class="switch">
                <input type="checkbox" [(ngModel)]="watermarkCheck" [checked]="watermarkCheck">
                <span class="slider round"></span>
              </label>
            </div>
          </div>
          <div class="col-md-12 col-xs-12 pull-right">
            <label class="pull-left" style="margin-top: 5px;margin-right: 13px;">Send to printer</label>
            <div class="box_switch">
              <label class="switch">
                <input type="checkbox" [(ngModel)]="printCheck" [checked]="printCheck">
                <span class="slider round"></span>
              </label>
            </div>
          </div>
          <div class="col-md-12 col-xs-12">
            <label class="pull-left" style="margin-top: 5px;margin-right: 13px;">Send to slideshow</label>
            <div class="box_switch">
              <label class="switch">
                <input type="checkbox" [(ngModel)]="slideshowCheck" [checked]="slideshowCheck">
                <span class="slider round"></span>
              </label>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div id="print-section">
</div>
